# FdoXmlFeaturePropertyWriter Class Reference

`#include <FeaturePropertyWriter.h>`

Inheritance diagram for FdoXmlFeaturePropertyWriter:

[legend]

List of all members.

## Detailed Description

FdoXmlFeaturePropertyWriter writes features in GML format. It is similar to FdoXmlFeatureWriter, except that it provides better performance. However, the caller is responsible for ensuring that properties are written in proper order.

Definition at line 31 of file FeaturePropertyWriter.h.

## Public Member Functions
FDO_API FdoClassDefinition * | GetClassDefinition ()
| Gets the class definition for the current feature being written.
FDO_API FdoXmlWriter * | GetXmlWriter ()
| Gets the underlying XML writer.
FDO_API void | SetClassDefinition (FdoClassDefinition *classDefinition)
| Sets the class definition for the current feature being written.
FDO_API void | WriteFeatureEnd ()
| Closes the current feature by writing the feature element and feature member element end tags.
FDO_API void | WriteFeatureStart (FdoString *startTag)
| Writes the start of a feature to XML. The start tags for the feature member element and the feature's actual element are written. The feature element name is derived from the feature's class and schema names.
FDO_API void | WriteGeometricProperty (FdoString *name, FdoByte *value, FdoInt32 count, FdoBoolean valueOnly=false)
| Writes a geometric property to XML.
FDO_API void | WriteObjectPropertyEnd ()
| Closes the current object property by writing its end tag.
FDO_API void | WriteObjectPropertyStart (FdoString *name)
| Writes start tag for an object property. The object property sub-properties can be written by subsequent calls to this class's Write functions.
FDO_API void | WriteProperty (FdoString *name, FdoIStreamReader *lobReader, FdoBoolean valueOnly=false)
| Writes a LOB feature property from a stream reader to XML.
FDO_API void | WriteProperty (FdoString *name, FdoLOBValue *value, FdoBoolean valueOnly=false)
| Writes a lob property to XML.
FDO_API void | WriteProperty (FdoString *name, FdoIRaster *value, FdoBoolean valueOnly=false)
| Writes a raster property to XML.
FDO_API void | WriteProperty (FdoString *name, FdoString *value, FdoBoolean valueOnly=false)
| Writes a feature property to XML.
FDO_API void | WriteProperty (FdoString *name, FdoPropertyValue *value, FdoBoolean valueOnly=false)
| Writes a feature property to XML.
## Static Public Member Functions
static FDO_API FdoXmlFeaturePropertyWriter * | Create (FdoXmlWriter *writer, FdoXmlFlags *flags=NULL)
| Creates a Feature Property Writer for writing FDO features to XML.
## Protected Member Functions
virtual void | Dispose ()
| Dispose this object.
| FdoXmlFeaturePropertyWriter (FdoXmlWriter *writer, FdoXmlFlags *flags)
| FdoXmlFeaturePropertyWriter ()
virtual | ~FdoXmlFeaturePropertyWriter ()

The documentation for this class was generated from the following file:

- FeaturePropertyWriter.h